version: "3"

services:
  nba-docs: 
    image: registry.gitlab.com/naturalis/bii/nbds/nba-docs:mkdocs
    volumes:
      - ./site:/docs/site
    environment:
      - NBA_BASE_URL=https://api.biodiversitydata.nl/v2/
      - SCRATCHPAD_URL=https://api.biodiversitydata.nl/scratchpad/
      - SWAGGER_UI_URL=https://docs.biodiversitydata.nl/endpoints-reference
  nginx:
    image: nginx
    depends_on: 
      - nba-docs
    volumes:
      - ./site:/usr/share/nginx/html:ro
    ports:
      - "8080:80"



